Bug 51880 - routed -t -> core dumped.
Summary: routed -t -> core dumped.
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: routed   
(Show other bugs)
Version: 1
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Jens Petersen
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-08-16 14:10 UTC by Alexander Kanevskiy
Modified: 2007-11-30 22:10 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-04-16 07:45:45 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Alexander Kanevskiy 2001-08-16 14:10:49 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:0.9.3+) Gecko/20010809

Description of problem:
when routed running with -t, it segfaults.


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
routed -t


Actual Results:  [root@bofh routed]# routed -t
????? ?????? ?????? (core dumped)
[root@bofh routed]#

Expected Results:  [root@bofh routed]# ./routed -t
Tracing actions started Thu Aug 16 17:13:56 2001
 
 
Thu Aug 16 17:13:56:
ADD dst 127.0.0.0, router 127.0.0.1, metric 1, flags UP state
PASSIVE|INTERFACE|CHANGED|EXTERNAL timer 0
.....

Additional info:

for quick fix:       

insert line:
ftrace=stderr;

in main.c before:
        while ((ch = getopt(argc, argv, "sqtdg")) != EOF) {

Comment 1 Alexander Kanevskiy 2001-08-16 14:13:53 UTC
and also routed want to log into /var/log/routed/...
but directory not exist not in filesystem-* and not in routed-* packages.


Comment 2 Jens Petersen 2004-01-15 07:30:54 UTC
Still segfaulting in FC1.

Comment 3 Jens Petersen 2004-03-08 12:52:57 UTC
Thank you, should get fixed in -17 shortly.

Comment 4 Sean Earp 2004-04-16 05:24:51 UTC
I was able to verify the segfault in -15, and -17 has resolved it. 
You should be able to close this bug.

Comment 5 Jens Petersen 2004-04-16 07:45:45 UTC
Thanks.


Note You need to log in before you can comment on or make changes to this bug.